condivisi.soap

## Class PDDASLHandler

- java.lang.Object
- - condivisi.soap.PDDASLHandler

- All Implemented Interfaces:
    Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

      public class PDDASLHandler
      extends Object
      implements SOAPHandler<SOAPMessageContext>

  Author:
    DiCegliem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDDASLHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `analisiFaultPDDGateway(SOAPMessage messaggio)` Analizza un SOAPMessage e se si tratta di un SOAPFault solleva la relativa eccezione
    `void` | `close(MessageContext context)`
    `private void` | `controllaRevocaCertificatoNew(sun.security.x509.X509CertImpl cert, String codiceFiscaleCertificato, String idTransazione)`
    `private SOAPMessage` | `costruisciSoapFault(String codAttributo)`
    `private static String` | `getDataCorrente()` Restituisce la data corrente nel formato dd/mm/yyyy - hh:mm:ss.SSS
    `Set<QName>` | `getHeaders()`
    `private String` | `getIdTransazione()`
    `boolean` | `handleFault(SOAPMessageContext messageContext)`
    `boolean` | `handleMessage(SOAPMessageContext messageContext)`
    `static SOAPMessage` | `inviaMessaggio(SOAPMessage message, String url, String idTransazione)`
    `private boolean` | `isCRL(File file)`
    `private String` | `leggiCodFiscaleOperatore(SOAPMessage msg)`
    `static X509CRL` | `loadCRLFromFile(String fileCRL, String stringFlagMorsetti)`
    `static HashMap<String,X509CRL>` | `loadListCRL(String pathFolder, String flagMorsetto)`
    `private String` | `toIndentedString(SOAPMessage message)`
    `SOAPMessage` | `toSOAPMessage(InputStream is)`
    `private SOAPMessage` | `toSOAPMessage(String messaggioString)`
    `String` | `toString(SOAPMessage message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          private static Logger log

  - ### Constructor Detail

    - #### PDDASLHandler

          public PDDASLHandler()

  - ### Method Detail

    - #### handleMessage

          public boolean handleMessage(SOAPMessageContext messageContext)

      Specified by:
        `handleMessage` in interface `Handler<SOAPMessageContext>`

    - #### getHeaders

          public Set<QName> getHeaders()

      Specified by:
        `getHeaders` in interface `SOAPHandler<SOAPMessageContext>`

    - #### handleFault

          public boolean handleFault(SOAPMessageContext messageContext)

      Specified by:
        `handleFault` in interface `Handler<SOAPMessageContext>`

    - #### close

          public void close(MessageContext context)

      Specified by:
        `close` in interface `Handler<SOAPMessageContext>`

    - #### toString

          public String toString(SOAPMessage message)
                          throws SOAPException

      Throws:
        `SOAPException`

    - #### toIndentedString

          private String toIndentedString(SOAPMessage message)
                                   throws SOAPException

      Throws:
        `SOAPException`

    - #### toSOAPMessage

          private SOAPMessage toSOAPMessage(String messaggioString)
                                     throws SOAPException

      Throws:
        `SOAPException`

    - #### toSOAPMessage

          public SOAPMessage toSOAPMessage(InputStream is)
                                    throws SOAPException

      Throws:
        `SOAPException`

    - #### inviaMessaggio

          public static SOAPMessage inviaMessaggio(SOAPMessage message,
                                                   String url,
                                                   String idTransazione)
                                            throws SOAPException

      Throws:
        `SOAPException`

    - #### isCRL

          private boolean isCRL(File file)

    - #### costruisciSoapFault

          private SOAPMessage costruisciSoapFault(String codAttributo)

    - #### controllaRevocaCertificatoNew

          private void controllaRevocaCertificatoNew(sun.security.x509.X509CertImpl cert,
                                                     String codiceFiscaleCertificato,
                                                     String idTransazione)
                                              throws Exception

      Throws:
        `Exception`

    - #### leggiCodFiscaleOperatore

          private String leggiCodFiscaleOperatore(SOAPMessage msg)

    - #### getDataCorrente

          private static String getDataCorrente()

      Restituisce la data corrente nel formato dd/mm/yyyy - hh:mm:ss.SSS
      Returns:
        data corrente

    - #### getIdTransazione

          private String getIdTransazione()

    - #### analisiFaultPDDGateway

          public void analisiFaultPDDGateway(SOAPMessage messaggio)
                                      throws SOAPException,
                                             Exception

      Analizza un SOAPMessage e se si tratta di un SOAPFault solleva la relativa eccezione
      Parameters:
        `messaggio` -
      Throws:
        `SOAPException`
        `ApplicationException`
        `Exception`

    - #### loadListCRL

          public static HashMap<String,X509CRL> loadListCRL(String pathFolder,
                                                            String flagMorsetto)
                                                     throws CertificateException,
                                                            CRLException,
                                                            IOException

      Throws:
        `CertificateException`
        `CRLException`
        `IOException`

    - #### loadCRLFromFile

          public static X509CRL loadCRLFromFile(String fileCRL,
                                                String stringFlagMorsetti)
                                         throws CertificateException,
                                                CRLException,
                                                IOException

      Throws:
        `CertificateException`
        `CRLException`
        `IOException`